<?php

namespace Modules\Api\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;
use Modules\Api\Entities\ApiToken;
use Modules\Api\Http\Requests\ApiAuthRequest;
use Modules\User\Entities\User;

class ApiAuthController extends Controller {

    public function login(ApiAuthRequest $request)
    {
        $user = User::findByEmail($request->email);

        if (Auth::guard()->attempt($request->validated()) && $user->hasRoleName('admin')) {
            $apiToken = ApiToken::create([
                'token' =>  'apit_' . Str::random()  . md5(Carbon::now()->toString()),
                'user_id' => $user->id,
            ]);

            return response([
                'token' => $apiToken,
            ]);
        }

        return response()->json([
            'status' => 'Unauthorized.'
        ], 401);
    }

    public function logout() {
        $token = request()->header('authorization');

        ApiToken::query()
            ->where('token', $token)
            ->delete();

        return response()->json([
            'status' => 'success'
        ]);
    }
}
